package com.aimluck.eip.common;

import com.aimluck.commons.field.ALNumberField;
import com.aimluck.commons.field.ALStringField;

public class ALImwTOffice implements ALData{

  /** 勤務先ID */
  private ALNumberField office_id;
  
  /** 名前 */
  //private ALStringField name; 
  
  private ALStringField alias_name;
  
  /** ID */
  private ALNumberField user_id;
  
  public void initField() {
    // TODO 自動生成されたメソッド・スタブ
    user_id = new ALNumberField();
    office_id = new ALNumberField();
    //name = new ALStringField();
    alias_name = new ALStringField();
  }

  /**
   * @return
   */
  public ALNumberField getOfficeId() {
    return office_id;
  }

  /**
   * @return
   */
  public ALNumberField getUserId() {
    return user_id;
  }
  
//  /**
//   * @return
//   */
//  public ALStringField getName() {
//    return name;
//  }
  
  /**
   * @return
   */
  public ALStringField getAliasName() {
    return alias_name;
  }

  /**
   * @param id
   */
  public void setOfficeId(int id) {
    office_id.setValue(id);
  }

  /**
   * @param id
   */
  public void setUserId(int id) {
    user_id.setValue(id);
  }
  
//  /**
//   * @param string
//   */
//  public void setName(String firstName, String lastName) {
//    name.setValue(new StringBuffer().append(lastName).append(" ").append(
//        firstName).toString());
//  }
  
  /**
   * @param firstName
   * @param lastName
   */
  public void setAliasName(String firstName, String lastName) {
    alias_name.setValue(new StringBuffer().append(lastName).append(" ").append(
        firstName).toString());
  }
}
